<html lang="en">
<head>
<title>Base Classes - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Signals.html#Signals" title="Signals">
<link rel="next" href="Browsing.html#Browsing" title="Browsing">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Base-Classes"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Browsing.html#Browsing">Browsing</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Signals.html#Signals">Signals</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">12 Base Classes</h2>

<p>Asside from <code>eieio-default-superclass</code>, EIEIO comes with some
additional classes that you can use.  By using multiple inheritance, it
is possible to use several features at the same time.

<ul class="menu">
<li><a accesskey="1" href="eieio_002dinstance_002dinheritor.html#eieio_002dinstance_002dinheritor">eieio-instance-inheritor</a>:     Enable value inheritance between instances. 
<li><a accesskey="2" href="eieio_002dinstance_002dtracker.html#eieio_002dinstance_002dtracker">eieio-instance-tracker</a>:       Enable self tracking instances. 
<li><a accesskey="3" href="eieio_002dsingleton.html#eieio_002dsingleton">eieio-singleton</a>:              Only one instance of a given class. 
<li><a accesskey="4" href="eieio_002dpersistent.html#eieio_002dpersistent">eieio-persistent</a>:             Enable persistence for a class. 
<li><a accesskey="5" href="eieio_002dnamed.html#eieio_002dnamed">eieio-named</a>:                  Use the object name as a :name field. 
<li><a accesskey="6" href="eieio_002dspeedbar.html#eieio_002dspeedbar">eieio-speedbar</a>:               Enable speedbar support in your objects. 
</ul>

   </body></html>

